跳转到内容

CogVideoX-5B

集成

模型 id cogvideox-5b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cogvideox-5b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.20 200 API 积分 · ≈ ₽20.94 在此页面运行

获取 API 密钥
Zhipu AI · 视频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

作为视频生成基础的提示词。

高级 negative_prompt · video_size · num_inference_steps · guidance_scale · export_fps · seed · use_rife · enable_safety_checker · loras
默认

用于视频生成的负面提示词。

video_size 默认 {"height":480,"width"...

生成视频的尺寸。

默认 50

要执行的推理步数。

默认 7

模型查找相关视频进行显示时对提示词的遵循程度,通过 CFG 比例(无分类器引导)表示。

默认 16

视频的目标帧率,以 FPS 表示。

用于可重复视频生成的种子。要在每次运行中精确复现,模型版本、提示词和种子必须保持不变。

默认 []

为图像生成提供单个 LoRA;当前不支持多个 LoRA。

POST /run/cogvideox-5b?wait=20 报价 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cogvideox-5b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 CogVideoX-5B

根据文本 `prompt` 创建短视频。选择 square_hd 或 landscape_16_9 等预设 `video_size`,设置 `num_inference_steps`(1 到 50)和 `guidance_scale`(0 到 20),并添加 `negative_prompt`。`export_fps` 范围为 4 到 32,RIFE 插帧默认开启,并可应用一个 LoRA。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
作为视频生成基础的提示词。
video_size可选
类型object
默认值{"height":480,"width":720}
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成视频的尺寸。
negative_prompt可选
类型string
默认值
用于视频生成的负面提示词。
loras可选
类型object[]
默认值[]
为图像生成提供单个 LoRA;当前不支持多个 LoRA。
loras[].path必填
类型string
LoRA 权重的位置,以 URL 或路径指定。
loras[].scale可选
类型number
默认值1
0 – 4
LoRA 权重合并到基础模型前应用的乘数。
num_inference_steps可选
类型integer
默认值50
1 – 50
要执行的推理步数。
seed可选
类型integer | null
用于可重复视频生成的种子。要在每次运行中精确复现,模型版本、提示词和种子必须保持不变。
guidance_scale可选
类型number
默认值7
0 – 20
模型查找相关视频进行显示时对提示词的遵循程度,通过 CFG 比例(无分类器引导)表示。
use_rife可选
类型boolean
默认值true
启用使用 RIFE 的视频插帧。
export_fps可选
类型integer
默认值16
4 – 32
视频的目标帧率,以 FPS 表示。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cogvideox-5b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "timings": {},
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}指向生成视频的 URL。
timings
object
seed
integer视频生成实际使用的种子,包括输入未提供种子时随机选择的值;否则与输入种子一致。
prompt
string用于生成视频的提示词。

更多模型:文生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/cogvideox-5b.md. 所有模型和指南: https://doitong.com/developers/llms.txt